### Method

# CM Client set_access_token

#### Declaration [src]

    void
    cm_client_set_access_token (
      CmClient* self,
      const char* access_token
    )

#### Description [src]

Set the access token to be used for sync. If set to `NULL`, `self` shall login using password And use the newly got access token for sync.

#### Parameters

`access_token`

  Type: `const char*`

  The access token.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.